'*
'*  define global vars for GUI
'*  globale Vars fuer das GUI
'***********************************************************************
DIM SHARED AS GtkTextIter       Iter
DIM SHARED AS GtkTextBuffer PTR buffer
DIM SHARED AS     GtkWindow PTR parent
DIM SHARED AS     GdkPixbuf PTR PROGLOGO

'*
'*  define global vars for code generation
'*  globale Vars fuer die Quelltext-Generierung
'***********************************************************************
DIM SHARED AS gboolean NoGUI = TRUE
DIM SHARED AS INTEGER  AzCB, AzUN
DIM SHARED AS STRING NaCB (500), UsNa (2000)

DIM SHARED AS STRING ausg, MyDir
DIM SHARED AS INTEGER ProgramLicense
REDIM SHARED AS STRING Licenses(0)

TYPE IniDaten
  AS STRING Path
  AS INTEGER Brei, Hoch
  AS STRING Auth, Mail, Site, Vers, Jahr, Desc, TyNa
  AS INTEGER Liz
  AS gboolean UiIn, Toba, Old, _
              Make, ReadMe, Geany, FbIde, FbEdit, Jelly, Win, Rc
END TYPE : DIM SHARED AS IniDaten _INI_

TYPE OutDaten
  AS STRING PaNa, PNam, Suff
  AS STRING Auth, Mail, Site, Vers, Jahr, Desc, TyNa
  AS gboolean Old, Bas
END TYPE : DIM SHARED AS OutDaten _OUT_

CONST AS STRING _
  FormDa  = "yyyy-mm-dd", _
  FormZe  = "hh:mm", _
  ConvUTF = "äöüßÄÖÜ", _
  ConvDOS = !"\132\148\129\225\142\153\154", _
  SufGla  = ".glade", _
  SufBui  = ".ui", _
  SufBas  = ".bas", _
  SufIni  = ".ini", _
  SufDes  = ".desc", _
  NamMkf  = "makefile", _
  NamRdm  = "readme", _
  SufRdm  = ".txt", _
  SufGea  = ".geany", _
  SufIde  = ".fbide.fbp", _
  SufEdi  = ".fbp", _
  SufJel  = ".jfp", _
  SufWin  = ".rc", _
  SufGui      = "_gui.bas", _
  SufTobac    = "_tobac.bas", _
  OrdTobac    = "tobac", _
  OrdData     = "data", _
  SIGDEF     = OrdData & SLASH & "Signals.def", _
  tobac_C_sta = "' ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^" + NL, _
  tobac_C_tre = "' ---------------------------------------------------------------------" + NL, _
  tobac_C_end = "' vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv" + NL, _
  BasOld      = "    #DEFINE __TJF_GTK_OLD__ '", _
  BasName     = "CONST PROG_NAME = """, _
  BasYear     = "CONST PROG_YEAR = """, _
  BasAuth     = "CONST PROG_AUTH = """, _
  BasMail     = "CONST PROG_MAIL = """, _
  BasSite     = "CONST PROG_WEBS = """, _
  BasDesc     = "CONST PROG_DESC = """, _
  BasVers     = "CONST PROG_VERS = """, _
  BasUnre     = "    g_object_unref(", _
  BasXml      = "XML", _
  BasGui      = "GUISTR"

'*
'* define globals for language change
'* Globale fuer den Sprachenwechsel definieren
'***********************************************************************
DIM SHARED AS INTEGER  AZThelp
REDIM SHARED AS STRING Thelp(1 TO 30), Tmsg (0 TO 61)


'*
'*  define some SUBs and FUNCs (must be)
'*  definieren von SUBs and FUNCs (unvermeidbar))
'***********************************************************************
DECLARE SUB read_UIfile(BYVAL nam AS STRING)
DECLARE SUB generate_coding ()
DECLARE SUB ausmisten()
DECLARE SUB set_leng()
DECLARE SUB set_lger()
DECLARE SUB set_GUI_lang()
